/*
 * $Id: JNDINames.java,v 1.4 2000/09/20 05:05:59 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.mail.util;

/**
 * This class is the central location to store the internal
 * JNDI names of various entities. Any change here should
 * also be reflected in the deployment descriptors.
 */
public interface JNDINames {

    //
    // JNDI names of EJB home objects
    //

    public static final String MAILER_EJBHOME = "java:comp/env/ejb/mailer";



    //
    // JNDI Names of other resources.
    //
    public static final String MAIL_SESSION = "java:comp/env/mail/MailSession";

}
