/*
 * $Id: AccountHome.java,v 1.3 2000/09/20 05:23:24 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.customer.account.ejb;


import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBHome;

import com.sun.j2ee.blueprints.customer.util.ContactInformation;

/**
 * The home interface of the Account EJB.
 */

public interface AccountHome extends EJBHome {

    public Account create(String userId,
                          String status, ContactInformation info)
        throws RemoteException,DuplicateKeyException,CreateException;

    public Account findByPrimaryKey (String userId)
        throws RemoteException, FinderException;
}
