package com.sun.j2ee.blueprints.petstore.personalize.util;

/**
 * This interface stores the name of all the database tables.
 * The String constants in this class should be used by other
 * classes instead of hardcoding the name of a database table
 * into the source code.
 */
public interface DatabaseNames {

    public static final String PROFILE_TABLE   = "profile";
    public static final String BANNERDATA_TABLE = "bannerdata";

}
